Freepbx 14 to 15 upgrade tool stops


(Alex Palenschat) #1

I ran the tool on a SNG7 distro that is running Asterisk 17.

It errored out trying to upgrade userman and then left me at the module admin page with framework and system admin showing a need to be upgraded. I selected upgrade both and it claims that framework must be updated first. When I run update on framework I get this error:

PHP Fatal error: Call to a member function writeln() on string in /var/www/html/admin/modules/framework/install.php on line 38
Whoops\Exception\ErrorException: Call to a member function writeln() on string in file /var/www/html/admin/modules/framework/install.php on line 38
Stack trace:

  1. Whoops\Exception\ErrorException->() /var/www/html/admin/modules/framework/install.php:38

Not sure what other info to give or where to go from here. System is not currently in service so I’m not desperate. I also have backups. Thanks for any help to get it running.


Yikes! 14 to 15 Upgrade with Edge selected in Advanced Settings = DEATH!
(Kapil Gupta) #2

Hi @apalenschat Please update to the latest framework module and give try.

Thanks.


(Alex Palenschat) #3

I thought that was what I was trying to do. The error happens when I’m trying to upgrade the framework. Is there a different command I need to run in order to do what you’re asking?


(Kapil Gupta) #4

Please try below command.
fwconsole ma downloadinstall framework --edge


(Alex Palenschat) #5

I ran that command and received the same error as above. Anything else I can try? Or more info I can provide?


(Alex Palenschat) #6

I just did a yum reinstall freepbx and got it working. Thanks.


(system) closed #7

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.